Subject: Re: [PATCH net-next 3/4] bpf: add support for persistent maps/progs

From: Daniel Borkmann <[email-masked]>
Date: Thu, 22 Oct 2015 15:22:43 +0200

On 10/22/2015 12:44 AM, Alexei Starovoitov wrote:
...
> all users) When you have to hack drivers/base/core.c to get there it
> should have been a warning sign that something is wrong with
> this cdev approach.

Hmm, you know, this had nothing to do with it, merely to save ~20 LoC
that I can do just as well inside BPF framework. No changes in driver
API needed.

>> I've read the discussion passively and my take away is that, frankly,
>> I think the differences are somewhat minor. Both architectures can
>> scale to what we need. Both will do the job. I'm slightly worried about
>> exposing uAPI as a FS, I think that didn't work too well for sysfs. It's
>> pretty much a define the format once and never touch it again kind of
>> deal.
>
> It's even worse in cdev style since it piggy backs on sysfs.

I don't mind with what approach we're going in the end, but this kind
of discussion is really tiring, and not going anywhere.

Lets just make a beer call, so we can hash out a way forward that works
for everyone.

On that note: cheers! ;)
Daniel